OpenOffice 2.0中与scim-pinyin的冲突咨询??

OOo,TeX,KO,ABI,GIMP,Picasa,ProE,QCAD,Inkscape,Kicad,Eagle
回复
jl_chang
帖子: 115
注册时间: 2006-01-14 1:13
送出感谢: 0
接收感谢: 0

OpenOffice 2.0中与scim-pinyin的冲突咨询??

#1

帖子 jl_chang » 2006-02-03 21:28

遇到一个古怪的问题,OpenOffice 2.0中使用scim-pinyin输入法,用Shifit键无法进行中/英状态转换,5.10版本,不知道如何解决?急……
头像
dongmh
帖子: 715
注册时间: 2005-06-21 20:24
来自: 甘肃
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 dongmh » 2006-02-03 23:44

不止是scim-pinyin阿

scim-fcitx也是

我对oo使用不多 没有什么办法解决
ubuntu 6.06
我是初学者 大家多多关照
jjheng
帖子: 36
注册时间: 2005-09-29 17:07
送出感谢: 0
接收感谢: 0
联系:

Re: OpenOffice 2.0中与scim-pinyin的冲突咨询??

#3

帖子 jjheng » 2006-02-05 9:03

jl_chang 写了:遇到一个古怪的问题,OpenOffice 2.0中使用scim-pinyin输入法,用Shifit键无法进行中/英状态转换,5.10版本,不知道如何解决?急……


解决办法如下:

1、安装scim-gtk2-immodule软件包:
$ sudo apt-get install scim-gtk2-immodule

2、对于使用Firefly中文增强版OpenOffice2的用户需要执行:
$ sudo rm -f /opt/OSSII-OpenOffice.org-2.0/program/libstdc++.so.6*

3、重新启动OpenOffice程序
头像
dongmh
帖子: 715
注册时间: 2005-06-21 20:24
来自: 甘肃
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 dongmh » 2006-02-05 10:19

scim-gtk2-immodule

这个包文体太多了吧

装上这个一大堆软件用不了
ubuntu 6.06
我是初学者 大家多多关照
jjheng
帖子: 36
注册时间: 2005-09-29 17:07
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 jjheng » 2006-02-05 18:57

dongmh 写了:scim-gtk2-immodule

这个包文体太多了吧

装上这个一大堆软件用不了


对于安装scim-gtk2-immodule后,影响其他软件不能正常启动的问题可以解决如下:

SCIM与vmware、acroread、realplay等应用程序冲突的问题解决方法如下:

修改vmware、vmplayer、acroread、realplay等程序的启动脚本,在行首
#!/bin/sh
之下加入内容
GTK_IM_MODULE=xim
头像
dongmh
帖子: 715
注册时间: 2005-06-21 20:24
来自: 甘肃
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 dongmh » 2006-02-05 20:47

哇 谢谢楼上的高手指点
ubuntu 6.06
我是初学者 大家多多关照
jl_chang
帖子: 115
注册时间: 2006-01-14 1:13
送出感谢: 0
接收感谢: 0

#7

帖子 jl_chang » 2006-02-05 22:22

jjheng 写了:
dongmh 写了:scim-gtk2-immodule

这个包文体太多了吧

装上这个一大堆软件用不了


对于安装scim-gtk2-immodule后,影响其他软件不能正常启动的问题可以解决如下:

SCIM与vmware、acroread、realplay等应用程序冲突的问题解决方法如下:

修改vmware、vmplayer、acroread、realplay等程序的启动脚本,在行首
#!/bin/sh
之下加入内容
GTK_IM_MODULE=xim

这个方案超级好使,凡是冲突的都能搞定……多谢多谢!!!
回复

回到 “办公、图像、机械电子设计等”